#pragma once
#include "common_action.h"

class TUpdateAction: public TCommonAction {
public:
    static TFactory::TRegistrator<TUpdateAction> Registrator;
    virtual void DoPrepare() {
        Document->MutableDocument().SignalIsUpdate();
        ModifyResult = IndexersThread->ProcessUpdate(Document, GetFirstIndexerName(), true);
    }
};
